Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 61420 - demolition-0.9.ebuild (NEW EBUILD)
Summary: demolition-0.9.ebuild (NEW EBUILD)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Gentoo Sound Team
URL: http://www.ecs.soton.ac.uk/~njl98r/co...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-23 12:59 UTC by ron widler
Modified: 2004-08-25 06:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for distortion-0.9 (demolition-0.9.ebuild,711 bytes, text/plain)
2004-08-23 16:11 UTC, ron widler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ron widler 2004-08-23 12:59:22 UTC
hi,

up next: demolition, "A destruction testing tool for LADSPA plugins. It's intended mostly for sanity checking your own code before you release it to the world."

i never developed a ladspa plugin so i can't really how good this program is, but the huge mass of output it generates makes it seem very useful ;)

regards
ron
Comment 1 ron widler 2004-08-23 16:11:17 UTC
Created attachment 38056 [details]
ebuild for distortion-0.9

sorry for the delay, my machine took a break :(
Comment 2 Frank van de Pol (RETIRED) gentoo-dev 2004-08-25 06:02:09 UTC
I just added your submission to the portage CVS. Thanks for contributing!

Before putting it into portage I did some minor cleanup/tidying on the ebuild: mainly spitting the DEPEND/RDEPEND and adding error messages to the emake and dobin.


# diff -u /home/frank/demolition-0.9.ebuild demolition-0.9.ebuild
--- /home/frank/demolition-0.9.ebuild   2004-08-25 14:48:27.034934746 +0200
+++ demolition-0.9.ebuild       2004-08-25 14:56:58.462067722 +0200
@@ -1,29 +1,30 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
+# $Header: $

-IUSE=""
-
-DESCRIPTION="A destruction testing tool for LADSPA plugins. It's intended mostly for sanity checking your own code before you release it to the world."
+DESCRIPTION="A destruction/stress testing tool for LADSPA plugins. It's intended mostly for sanity checking your own code before you release it to the world."
 HOMEPAGE="http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/demolition.html"
 SRC_URI="http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/${P}.tar.gz"
-RESTRICT=""

 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~x86 ~amd64"
+IUSE=""

 S=${WORKDIR}/demolition
-#first two for WANT_AUTOMAKE/CONF
-DEPEND=">=sys-devel/autoconf-2.58
-       >=sys-devel/automake-1.7.2
-       virtual/glibc
-       >=dev-libs/glib-1.2.0"
+
+RDEPEND="virtual/glibc
+       >=dev-libs/glib-1.2.0
+       media-libs/ladspa-sdk"
+DEPEND="${RDEPEND}
+       >=sys-devel/autoconf-2.58
+       >=sys-devel/automake-1.7.2"

 src_compile() {
-       emake || die
+       emake || die "emake failed"
 }

 src_install() {
-       dobin demolition
+       dobin demolition || die "dobin failed"
        dodoc COPYING
 }